.modal {
  &__mask {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.45);
  }
  &__wrap {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    outline: 0;
  }
  &__close {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
    width: 24px;
    height: 24px;
    &:before,
    &:after {
      content: '';
      left: 5px;
      position: absolute;
      background-color: #fff;
      width: 2px;
      height: 24px;
      border: 1px solid #fff;
      transform: rotate(45deg);
      border-radius: 1px;
    }
    &:after {
      transform: rotate(-45deg);
    }
  }
  &__container {
    width: 100%;
    height: 100%;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    &::-webkit-scrollbar {
      display: none;
    }
    -ms-overflow-style: none;
    scrollbar-width: none;
  }
  &__main {
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    font-size: 14px;
    line-height: 1.5;
    list-style: none;
    width: auto;
    margin: 0 auto;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.55);
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  &__header {
    text-align: center;
    pointer-events: auto;
    margin-top: 30px;
    h3 {
      font-size: 20px;
      color: #fff;
      margin: 0;
      line-height: 1.2
    }
  }
  &__content {
    position: relative;
    background-color: #fff;
    background-clip: padding-box;
    border: 0;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    pointer-events: auto;
    margin-top: 30px;
  }
  &__bottom {
    margin: 30px 0;
    text-align: center;
    pointer-events: auto;
  }
  .v-btn__content {
    text-transform: none;
    font-size: 16px;
  }
}
